/*
 * This file is part of the DCStella project
 * location: dcstella/core/dcload-console.c
 * written by SvOlli
 * http://dcdev.allusion.net/
 */

#include "dcload-console.h"
#include <stdarg.h>
#define DCLOAD_WRITE 1

static char printf_buf[1024];

int dcload_printf(const char *fmt, ...)
{
  /*
   * when compiled as a debug version use this to print out stuff to the
   * dc-load console
   */
  
  va_list args;
  int i;

  va_start(args, fmt);
  i = vsprintf(printf_buf, fmt, args);
  va_end(args);
  
  dcloadsyscall(DCLOAD_WRITE, 1, printf_buf, strlen(printf_buf));
        
  return i;
}
