#!/usr/bin/perl -w
#
# This file is part of the DCStella project
# location: dcstella/util/mkdcstalla_ini.pl
# quickly hacked together by SvOlli
#

$STELLA_PRO=$ARGV[0];
$DCSTELLA_PRO_DIR=$ARGV[1];

if(!defined $STELLA_PRO)
{
  $STELLA_PRO="";
}

if(!defined $DCSTELLA_PRO_DIR)
{
  $DCSTELLA_PRO_DIR="";
}

if(("$STELLA_PRO" eq "") || ("$DCSTELLA_PRO_DIR" eq ""))
{
  printf("usage mkprodir.pl stella.pro dcstella.pro-dir\n");
  exit 1;
}

open(STELLA_PRO,"<$STELLA_PRO");
$conf="";
while(<STELLA_PRO>)
{
    s/\r//g;
    chomp();
    if(length("$_") > 14)
    {
	$check=substr("$_",1,13);
	if(substr("$_",0,1) ne ";")
	{
	    $conf="$conf$_\n";
	}
    }
    
    if("$check" eq "Cartridge.MD5")
    {
	$MD5=substr("$_",17,32);
#	$DCSTELLA_PRO_DIR="dcstella.pro";
	$file=substr("$MD5",0,8).".pro";
	print("$DCSTELLA_PRO_DIR/$file\n");
    }
    if("$_" eq "")
    {
	if ( ! -d "$DCSTELLA_PRO_DIR" )
	{
	  mkdir "$DCSTELLA_PRO_DIR";
	}
	open(PRO,">$DCSTELLA_PRO_DIR/$file");
	print PRO "$conf";
	close(PRO);
	$conf="";
    }
}
close(STELLA_PRO);
