/* This sample program shows off 800x608, the mythical "unsupported" video
   mode that Sega will probably complain doesn't work (like they did for
   our 320x240 modes earlier on ;-). This will probably only work on a VGA
   monitor and I highly recommend that you don't try it on a non-multisync.
   Still needs some tweaking. */

#include "dream.h"

#define W 800
#define H 608

int dc_main() {
	int x, y;

	/* Do initial setup */	
	dc_setup(DM_800x608, PM_RGB565);
	
	for (y=0; y<H; y++)
		for (x=0; x<W; x++) {
			int c = (x ^ y) & 255;
			vram_s[y*W+x] = ((c >> 3) << 0);
		}

	for (y=0; y<H; y+=24) {
		char tmp[16];
		sprintf(tmp, "%d", y);
		bfont_draw_str(vram_s+y*W+10, W, tmp);
	}

	for (x=0; x<W; x+=100) {
		char tmp[16];
		sprintf(tmp, "%d", x/10);
		bfont_draw_str(vram_s+10*W+x, W, tmp);
	}

	return 0;
}
