/* This is the standard Hello World program, but it is something else as
   well. In this case we're only initializing the serial port. This means
   three things. For one, if future versions of libdream change the way
   a given interface init works, your code might break. Second, you best
   not use any functionality you don't init or strange things might
   happen. And third, the resulting binary will generally be MUCH smaller
   since you're not including useless functionality with dc_setup. */

#include "dream.h"

int dc_main() {
	/* Do partial setup (serial only) */
	serial_init(57600);

	printf("Hello world!\r\n");

	return 0;
}
